Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::gpu::SegmentedReduce< T, ReduceOp > Struct Template Reference

## Public Member Functions
__device__ | SegmentedReduce (const ReduceOp &o)
__device__ Pair< T, bool > | operator() (const Pair< T, bool > &a, const Pair< T, bool > &b) const
__device__ Pair< T, bool > | identity () const

## Public Attributes
ReduceOp | op

## Detailed Description

### template<typename T, typename ReduceOp>
struct faiss::gpu::SegmentedReduce< T, ReduceOp >

Used for producing segmented prefix scans; the value of the Pair denotes the start of a new segment for the scan

Definition at line 54 of file ReductionOperators.cuh.

The documentation for this struct was generated from the following file:

- /data/users/hoss/faiss/gpu/utils/ReductionOperators.cuh